### Function

# Gimp context_get_foreground

#### Declaration [src]

    gboolean
    gimp_context_get_foreground (
      GimpRGB* foreground
    )

#### Description [src]

Get the current GIMP foreground color.

This procedure returns the current GIMP foreground color. The foreground color is used in a variety of tools such as paint tools, blending, and bucket fill.

Available since: | 2.2

#### Parameters

`foreground` | `GimpRGB`
| The foreground color.
| The argument will be set by the function.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.